<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.com.ty.lift.ud.maintenanceCompany.mapper.MaintenanceCompanyMapper">

    <!--多表查询-->
    <select id="selectByQuery" resultType="cn.com.ty.lift.ud.maintenanceCompany.mapper.entity.MaintenanceCompanyEntity">
        select mc.name as name,mc.id as id
        from maintenance_company as mc
        <where>
            ${ew.sqlSegment}
        </where>
        limit #{page.pageIndex},#{page.pageSize}
</select>

    <!--查询总数量-->
    <select id="countByQuery" resultType="java.lang.Integer">
        select count(0) from maintenance_company as mc
        <where>
            ${ew.sqlSegment}
        </where>
    </select>

</mapper>